Bug 1404796 - libRblas.so()(64bit) is needed by package R-core-3.3.2-2.el5.x86_64
Summary: libRblas.so()(64bit) is needed by package R-core-3.3.2-2.el5.x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: R
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-14 16:32 UTC by John Ellson
Modified: 2017-01-07 00:19 UTC (History)
2 users (show)

Fixed In Version: R-3.3.2-3.fc25 R-3.3.2-3.fc24 R-3.3.2-3.el7 R-3.3.2-3.el5 R-3.3.2-3.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-19 06:03:30 UTC


Attachments (Terms of Use)

Description John Ellson 2016-12-14 16:32:43 UTC
Description of problem:
Error: Missing Dependency: libRblas.so()(64bit) is needed by package R-core-3.3.2-2.el5.x86_64 (epel)


Version-Release number of selected component (if applicable):
R-core-3.3.2-2.el5.x86_64
opsadmin@visor1

How reproducible:
100%

Steps to Reproduce:
1. yum install R-core.x86_64
2.
3.

Actual results:
Loaded plugins: downloadonly, fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: mirror.clarkson.edu
 * epel: mirror.math.princeton.edu
 * extras: centos.mirror.nac.net
 * updates: mirrors.evowise.com
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package R-core.x86_64 0:3.3.2-2.el5 set to be updated
--> Processing Dependency: libRmath = 3.3.2-2.el5 for package: R-core
--> Processing Dependency: libRblas.so()(64bit) for package: R-core
--> Running transaction check
---> Package R-core.x86_64 0:3.3.2-2.el5 set to be updated
--> Processing Dependency: libRblas.so()(64bit) for package: R-core
---> Package libRmath.x86_64 0:3.3.2-2.el5 set to be updated
--> Finished Dependency Resolution
R-core-3.3.2-2.el5.x86_64 from epel has depsolving problems
  --> Missing Dependency: libRblas.so()(64bit) is needed by package R-core-3.3.2-2.el5.x86_64 (epel)
Error: Missing Dependency: libRblas.so()(64bit) is needed by package R-core-3.3.2-2.el5.x86_64 (epel)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest


Expected results:
No dependency errors

Additional info:
Problem started with today's updates.    There was no problem with "yum update -y" yesterday.

Comment 1 John Ellson 2016-12-14 16:34:34 UTC
This problem is not present on el5.i386

Comment 2 Fedora Update System 2016-12-15 17:32:21 UTC
R-3.3.2-3.fc23 openblas-0.2.19-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-46ffd0fe13

Comment 3 Fedora Update System 2016-12-15 17:32:36 UTC
R-3.3.2-3.el7 openblas-0.2.19-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-08541f148f

Comment 4 Fedora Update System 2016-12-15 17:32:47 UTC
R-3.3.2-3.fc24 openblas-0.2.19-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-87243d4214

Comment 5 Fedora Update System 2016-12-15 17:32:59 UTC
R-3.3.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e213692dbc

Comment 6 Fedora Update System 2016-12-15 17:33:12 UTC
R-3.3.2-3.fc25 openblas-0.2.19-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3b99079f61

Comment 7 Fedora Update System 2016-12-15 17:33:24 UTC
R-3.3.2-3.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-11ca20b113

Comment 8 Fedora Update System 2016-12-16 04:23:06 UTC
R-3.3.2-3.el7, openblas-0.2.19-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-08541f148f

Comment 9 Fedora Update System 2016-12-16 05:27:04 UTC
R-3.3.2-3.fc23, openblas-0.2.19-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-46ffd0fe13

Comment 10 Fedora Update System 2016-12-16 05:32:13 UTC
R-3.3.2-3.fc24, openblas-0.2.19-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-87243d4214

Comment 11 Fedora Update System 2016-12-16 05:34:16 UTC
R-3.3.2-3.fc25, openblas-0.2.19-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3b99079f61

Comment 12 Fedora Update System 2016-12-16 13:17:42 UTC
R-3.3.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e213692dbc

Comment 13 Fedora Update System 2016-12-16 13:18:07 UTC
R-3.3.2-3.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-11ca20b113

Comment 14 Fedora Update System 2016-12-19 06:03:30 UTC
R-3.3.2-3.fc25, openblas-0.2.19-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 John Ellson 2016-12-20 15:48:56 UTC
Has this been pushed to Rawhide repos yet?   I'm getting Copr failures for graphviz on fc26 due to:

Error: package R-devel-3.3.2-3.fc26.i686 requires R-core-devel = 3.3.2-3.fc26, but none of the providers can be installed


Ref:  https://bugzilla.redhat.com/show_bug.cgi?id=1384111

Comment 16 Tom "spot" Callaway 2016-12-20 20:17:51 UTC
(In reply to John Ellson from comment #15)
> Has this been pushed to Rawhide repos yet?   I'm getting Copr failures for
> graphviz on fc26 due to:
> 
> Error: package R-devel-3.3.2-3.fc26.i686 requires R-core-devel =
> 3.3.2-3.fc26, but none of the providers can be installed
> 
> 
> Ref:  https://bugzilla.redhat.com/show_bug.cgi?id=1384111

Yes, it has been in rawhide since 12/15:

https://koji.fedoraproject.org/koji/buildinfo?buildID=825702

R-core-devel-3.3.2-3.fc26.i686.rpm is definitely built.

Perhaps the copr is trying to build against a secondary arch or something odd?

Comment 17 Fedora Update System 2017-01-04 21:21:52 UTC
R-3.3.2-3.fc24, openblas-0.2.19-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-01-05 04:20:03 UTC
R-3.3.2-3.el7, openblas-0.2.19-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Thomas Sibley 2017-01-05 18:10:30 UTC
Why is this bug closed?  R-core-3.3.2-2 on EPEL 5 is still broken.

trsibley@indra ~ [1] $ sudo yum install R-core
Loaded plugins: downloadonly, fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: centos.eecs.wsu.edu
 * epel: mirrors.cat.pdx.edu
 * extras: mirror.chpc.utah.edu
 * updates: mirror.sjc02.svwh.net
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package R-core.i386 0:3.3.2-2.el5 set to be updated
--> Processing Dependency: libRmath = 3.3.2-2.el5 for package: R-core
---> Package R-core.x86_64 0:3.3.2-2.el5 set to be updated
--> Processing Dependency: libRblas.so()(64bit) for package: R-core
--> Running transaction check
---> Package R-core.x86_64 0:3.3.2-2.el5 set to be updated
--> Processing Dependency: libRblas.so()(64bit) for package: R-core
--> Processing Dependency: libRmath = 3.3.1-3.el5 for package: libRmath-devel
---> Package libRmath.x86_64 0:3.3.2-2.el5 set to be updated
--> Running transaction check
---> Package R-core.x86_64 0:3.3.2-2.el5 set to be updated
--> Processing Dependency: libRblas.so()(64bit) for package: R-core
---> Package libRmath-devel.x86_64 0:3.3.2-2.el5 set to be updated
--> Finished Dependency Resolution
R-core-3.3.2-2.el5.x86_64 from epel has depsolving problems
  --> Missing Dependency: libRblas.so()(64bit) is needed by package R-core-3.3.2-2.el5.x86_64 (epel)
Error: Missing Dependency: libRblas.so()(64bit) is needed by package R-core-3.3.2-2.el5.x86_64 (epel)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest

Comment 20 Thomas Sibley 2017-01-05 18:15:32 UTC
Note that nothing provides 'libRblas.so()(64bit)' anymore, although the latest R-core does contain a libRblas.so file.

trsibley@indra ~ $ sudo yum whatprovides 'libRblas.so()(64bit)'
Loaded plugins: downloadonly, fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: mirror.tocici.com
 * epel: mirrors.cat.pdx.edu
 * extras: mirror.chpc.utah.edu
 * updates: mirror.sjc02.svwh.net
Warning: 3.0.x versions of yum would erroneously match against filenames.
 You can use "*/libRblas.so()(64bit)" and/or "*bin/libRblas.so()(64bit)" to get that behaviour
No Matches found
trsibley@indra ~ $ sudo yum whatprovides '*/libRblas.so*'
Loaded plugins: downloadonly, fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: mirror.tocici.com
 * epel: mirrors.cat.pdx.edu
 * extras: mirror.chpc.utah.edu
 * updates: mirror.sjc02.svwh.net
R-core-3.3.2-2.el5.i386 : The minimal R components necessary for a functional runtime
Repo        : epel
Matched from:
Filename    : /usr/lib/R/lib/libRblas.so



R-core-3.3.2-2.el5.x86_64 : The minimal R components necessary for a functional runtime
Repo        : epel
Matched from:
Filename    : /usr/lib64/R/lib/libRblas.so


Note that it _was_ provided by the previous version (I ran this before uninstalling R-core while debugging):

trsibley@indra ~ $ sudo yum whatprovides 'libRblas.so()(64bit)'
Loaded plugins: downloadonly, fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: mirror.tocici.com
 * epel: mirrors.cat.pdx.edu
 * extras: mirror.chpc.utah.edu
 * updates: centos.sonn.com
R-core-3.3.1-3.el5.x86_64 : The minimal R components necessary for a functional runtime
Repo        : installed
Matched from:
Other       : Provides-match: libRblas.so()(64bit)

Comment 21 Thomas Sibley 2017-01-05 18:19:45 UTC
Ah, I see, according to https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-11ca20b113 the updated R-core-3.3.2-3.el5.x86_64 is in testing but not yet pushed to stable.

Can someone push it to stable?  The page above indicates that's possible now that the 14 day waiting period is over.

Comment 22 Fedora Update System 2017-01-06 23:48:35 UTC
R-3.3.2-3.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-01-07 00:19:18 UTC
R-3.3.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.